Stop building and remove {firefox,thunderbird}-globalmenu

Bug #1834866 reported by Olivier Tilloy on 2019-07-01
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Medium
Olivier Tilloy
thunderbird (Ubuntu)
Medium
Olivier Tilloy
Bionic
Undecided
Unassigned

Bug Description

firefox-globalmenu is an empty transitional package that was needed on Ubuntu 14.04. Now that trusty is EOL, it can be safely removed (see https://bazaar.launchpad.net/~mozillateam/firefox/firefox-trunk.head/view/head:/debian/control.in#L132).

NOTE TO SRU TEAM: Please do not release this package without consulting first. This is a security update pushed via -proposed to get a bit more testing. Will be released via it's own processes.

Adolfo Jayme (fitojb) on 2019-07-01
tags: added: eoan packaging
Olivier Tilloy (osomon) on 2019-07-18
Changed in firefox (Ubuntu):
status: Triaged → In Progress
Olivier Tilloy (osomon) on 2019-07-18
Changed in firefox (Ubuntu):
status: In Progress → Fix Committed
Olivier Tilloy (osomon) on 2019-08-20
summary: - Stop building and remove firefox-globalmenu
+ Stop building and remove {firefox,thunderbird}-globalmenu
Changed in thunderbird (Ubuntu):
assignee: nobody → Olivier Tilloy (osomon)
importance: Undecided → Medium
status: New → Triaged
Olivier Tilloy (osomon) on 2019-08-20
Changed in thunderbird (Ubuntu):
status: Triaged → In Progress
Olivier Tilloy (osomon) on 2019-08-23
Changed in thunderbird (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 69.0+build2-0ubuntu0.16.04.4

---------------
firefox (69.0+build2-0ubuntu0.16.04.4) xenial; urgency=medium

  * Backport an upstream commit to fix the browser.search.get()
    Web Extension API (LP: #1840597)
    - add fix-browser-search-get-api.patch

 -- Olivier Tilloy <email address hidden> Wed, 28 Aug 2019 12:49:47 +0200

Changed in firefox (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 69.0+build2-0ubuntu0.18.04.1

---------------
firefox (69.0+build2-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (69.0build2)

  [ Olivier Tilloy ]
  * Re-enable and update debian/patches/unity-menubar.patch
  * Stop building and remove firefox-globalmenu (LP: #1834866)
  * Backport an upstream commit to fix the browser.search.get()
    Web Extension API (LP: #1840597)
    - add fix-browser-search-get-api.patch

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.9.0
    - debian/build/create-tarball.py
  * Use firefox-*.json to retrieve revision
    - debian/build/create-tarball.py
  * Bump build-dep to clang-8 and llvm-8-dev
    - debian/config/mozconfig.in
    - debian/control{,.in}
  * Bump build-dep on rustc >= 1.35.0 and cargo >= 0.36
    - debian/control{,.in}
  * Update patches
    - debian/patches/ubuntu-ua-string-changes.patch
    - debian/patches/unity-menubar.patch
  * Drop upstreamed patches
    - debian/patches/skcms-workaround-gcc-bug.patch

 -- Olivier Tilloy <email address hidden> Wed, 28 Aug 2019 16:45:49 +0200

Changed in firefox (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 69.0+build2-0ubuntu0.19.04.1

---------------
firefox (69.0+build2-0ubuntu0.19.04.1) disco-security; urgency=medium

  * New upstream stable release (69.0build2)

  [ Olivier Tilloy ]
  * Re-enable and update debian/patches/unity-menubar.patch
  * Stop building and remove firefox-globalmenu (LP: #1834866)
  * Backport an upstream commit to fix the browser.search.get()
    Web Extension API (LP: #1840597)
    - add fix-browser-search-get-api.patch

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.9.0
    - debian/build/create-tarball.p
  * Use firefox-*.json to retrieve revision
    - debian/build/create-tarball.py
  * Bump build-dep to clang-8 and llvm-8-dev
    - debian/config/mozconfig.in
    - debian/control{,.in}
  * Bump build-dep on rustc >= 1.35.0 and cargo >= 0.36
    - debian/control{,.in}
  * Update patches
    - debian/patches/ubuntu-ua-string-changes.patch
    - debian/patches/unity-menubar.patch
  * Drop upstreamed patches
    - debian/patches/skcms-workaround-gcc-bug.patch

 -- Olivier Tilloy <email address hidden> Wed, 28 Aug 2019 17:22:58 +0200

Changed in firefox (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 1:68.1.1+build1-0ubuntu1

---------------
thunderbird (1:68.1.1+build1-0ubuntu1) eoan; urgency=medium

  * New upstream stable release (68.1.1build1)

  * Build thunderbird against the system-wide version of sqlite3 (LP: #1845929)
    - update debian/config/mozconfig.in
    - update debian/control{,.in}

 -- Olivier Tilloy <email address hidden> Tue, 01 Oct 2019 14:47:00 +0200

Changed in thunderbird (Ubuntu):
status: Fix Committed → Fix Released

Hello Olivier, or anyone else affected,

Accepted thunderbird into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/thunderbird/1:68.2.1+build1-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

description: updated
Changed in thunderbird (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 1:68.2.1+build1-0ubuntu0.18.04.1

---------------
thunderbird (1:68.2.1+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (68.2.1build1) (LP: #1850064)

  * Vendor cbindgen and its dependencies in the source tarball, because it's
    not available in Debian/Ubuntu yet
    - update debian/build/create-tarball.py
    - update debian/build/rules.mk
    - update debian/config/mozconfig.in
    - update debian/config/tarball.conf
  * Bump build dependency on rustc >= 1.34.0 and cargo >= 0.35
    - update debian/control{,.in}
  * Add a build dependency on Node.js 8.11
    - update debian/config/mozconfig.in
    - update debian/control{,.in}
  * Add a build dependency on nasm 2.13.02
    - update debian/control{,.in}
  * Update exclusion patterns to remove outdated entries and to trim down the
    final size of the source tarball
    - update debian/config/tarball.conf
  * Do not install obsolete extension
    - update debian/thunderbird.install.in
  * Update patches
    - update debian/patches/reduce-rust-debuginfo-on-32bit-architectures.patch
    - update debian/patches/rust-drop-dll-checksums.patch
    - update debian/patches/support-coinstallable-trunk-build.patch
    - update debian/patches/unity-menubar.patch
  * Remove obsolete patches
    - remove debian/patches/dont-treat-tilde-as-special.patch
    - remove debian/patches/fix-missing-docs-error.patch
    - remove debian/patches/skia-big-endian.patch
  * Stop building and remove thunderbird-globalmenu (LP: #1834866)
  * Fix build on armhf by disabling unaligned FP accesses emulation
    - add debian/patches/armhf-disable-unaligned-fp-access-emulation.patch
  * Reduce the memory used by the linking process on armhf, to work around
    build failures on launchpad
    - add debian/patches/armhf-reduce-linker-memory-use.patch
  * Update shipped locales (adding cak, ka, uz)
    - update debian/config/locales.{all,shipped}
    - update debian/control
  * Build with clang
    - update debian/config/mozconfig.in
    - update debian/control{,.in}
    - add debian/patches/armhf-clang-no-integrated-as-for-neon.patch
    - add debian/patches/ppc64el-workaround-bug-1555531.patch
    - add debian/patches/s390x-fix-hidden-symbol.patch
  * Ensure that external dictionaries are still loaded (LP: #1847247)
    - debian/thunderbird.sh.in
  * Export MOZ_SOURCE_REPO and MOZ_SOURCE_CHANGESET during the configure step
    as this is now mandatory for the build system to determine and expose the
    comm repository and revision used to generate the source tarball
    (see https://bugzilla.mozilla.org/show_bug.cgi?id=1507754)
    - debian/build/create-tarball.py
    - debian/build/rules.mk
  * Fix the repacking of lightning with all locales (the artifact was renamed
    to lightning.xpi, see https://bugzilla.mozilla.org/show_bug.cgi?id=1588659)
    - debian/build/rules.mk

 -- Olivier Tilloy <email address hidden> Thu, 31 Oct 2019 19:23:11 +0100

Changed in thunderbird (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.